Bug 9387 - Feedback message for FAILED check out items are not obvious for visually impaired
Summary: Feedback message for FAILED check out items are not obvious for visually impa...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Corey
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 00:51 UTC by Corey
Modified: 2016-12-05 21:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Fixed Patch (1.46 KB, patch)
2013-01-15 01:12 UTC, Corey
Details | Diff | Splinter Review
bug 9387 - Feedback Message for FAILED Check Out Items are not obvious for Visually Impaired. (1.60 KB, patch)
2013-01-15 03:03 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 9387 - Feedback message for FAILED check out items are not obvious for visually impaired (2.01 KB, patch)
2016-04-06 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9387 - Feedback message for FAILED check out items are not obvious for visually impaired (2.11 KB, patch)
2016-04-07 13:27 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 9387 - Feedback message for FAILED check out items are not obvious for visually impaired (2.11 KB, patch)
2016-04-08 07:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Corey 2013-01-15 00:51:52 UTC
When someone is attempting to check out an invalid item (such as 'asdf'), a message is soon generated which tells the Administrator/Librarian that the item doesn't exist. 

Although it might be simple to find and understand for normal computer users, those whom are Visually Impaired are forced with the daunting task of finding the error message, which is found after around 100 lines of code later; this is also not a heading (making it not obvious).
Comment 1 Corey 2013-01-15 01:12:36 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-01-15 03:03:40 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-02-22 10:32:05 UTC
QA Comment:
Corey, first thanks for sending a patch!
But when aiming for consistency, putting one message into a <h3> and many other messages like this on several forms not, might not be the best idea.
Another thought here: If the visually impaired benefit from this, could we make a Koha syspref for a start. And work through all messages on a form basis? Just an idea..
Also note that I had the bullet now on line 1 and the words on line 2. Smaller laptop screen..
Comment 4 Owen Leonard 2016-04-06 15:02:32 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2016-04-07 13:27:52 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2016-04-08 07:37:52 UTC
Created attachment 50049 [details] [review]
Bug 9387 - Feedback message for FAILED check out items are not obvious for visually impaired

This patch adds a heading to the error dialg displayed when a barcode
has been submitted for checkout which doesn't exist. This patch also
modifies the markup of the error dialog in order to make error a little
more clear to sighted users.

To test, apply the patch and submit a barcode for checkout which does
not exist. The resulting error dialog should have a heading, "Barcode
not found."

Signed-off-by: Marc Veron <veron@veron.ch>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Kyle M Hall 2016-04-29 12:19:49 UTC
Pushed to master for the May 2016 release. Thanks Owen!
Comment 8 Julian Maurice 2016-05-16 11:51:54 UTC
Patch pushed to 3.22.x, will be in 3.22.7